SYNC(2)

NAME
sync - update super-block

SYNOPSIS
sync()

DESCRIPTION

sync() writes out all information in core memory that should be on disk. This includes modified super blocks, modified inodes, and delayed block I/O.

sync() should be used by programs that examine a file system, for example fsck(8), df(1V), etc. sync() is mandatory before a boot.

SEE ALSO
fsync(2), cron(8)

BUGS

The writing, although scheduled, is not necessarily complete upon return from sync().